:PROPERTIES:
:ID:       58cf7e78-2194-4c96-b388-d4ff872c8fc9
:END:
#+TITLE: Land Tax
#+FILETAGS: @personal
#+DATE: [2023-08-12 Sat 12:57]

On top of all the other arguments, land tax is more suitable in a world where human longevity is increasing. With the current generation expected to live over a hundred years, and possibly much longer, multiple generations will spend decades, possibly centuries, awaiting wealth redistribution by inheritance. Only a shift from income and consumption taxes to wealth taxes can mitigate such a situation. Land tax is probably the simplest and most progressive of wealth taxes.
